PHP配置安全检查工具 – PCC

PHPABC PHP开发 575 次浏览 没有评论

不少发生在PHP应用上的安全问题都是来源于PHP配置不够规范造成的,那么我们开发了一个工具脚本,可以帮助系统管理员像安全专家一样配置php.ini文件。这个工具全名叫PHP Secure Configuration Checker,简称PCC。

PCC 的特点
只有一个文件

检测php.ini文件,对每个测试者都很容易

不仅局限于php.ini的检查,还包括了其他的测试

推荐PHP 5.4版本,5.0以上版本皆可兼容

使用方便,没有依赖文件

使用方法

命令:

执行

php phpconfigcheck.php

就这么简单

网页:

复制这个脚本到你的web服务器,访问phpconfigcheck.php?showall=1

GitHub:https://github.com/sektioneins/pcc

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

Go